Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.explorereditorbridge.internal
Class EditorModelElementOpener

    java.lang.Object
      org.eclipse.emf.ecp.explorereditorbridge.internal.EditorModelElementOpener

All Implemented Interfaces:
  ECPModelElementOpener

    public class EditorModelElementOpener

extends Object
implements ECPModelElementOpener

ECP Class to open the default ECP Editor.

Author:
  Eugen Neufeld

Constructor Summary
`EditorModelElementOpener()` Convenient constructor.

Method Summary
`int` | `canOpen(org.eclipse.emf.ecore.EObject modelElement)` The default editor can open every `EObject`, but has the lowest value.
`void` | `openModelElement(Object modelElement, ECPProject ecpProject)` Opens the default ECP Editor for an `EObject` and the corresponding `ECPProject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorModelElementOpener

    public EditorModelElementOpener()

  Convenient constructor.

Method Detail

### canOpen

    public int canOpen(org.eclipse.emf.ecore.EObject modelElement)

  The default editor can open every `EObject`, but has the lowest value.

  Parameters:
    `modelElement` - `EObject` to test
  Returns:
    0

### openModelElement

    public void openModelElement(Object modelElement,
                                 ECPProject ecpProject)

  Opens the default ECP Editor for an `EObject` and the corresponding `ECPProject`.

  Specified by:
    `openModelElement` in interface `ECPModelElementOpener`
  Parameters:
    `modelElement` - the `EObject` to open the Editor for
    `ecpProject` - the `ECPProject` to open the Editor for

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.